#include <bits/stdc++.h>

int main(){
    std::ios::sync_with_stdio(false);
    int n,najm,najv,x,p;

    std::cin >> n >> x;

    std::cin >> najm;
    najv=najm;

    if(n==1){
        std::cout << std::abs(najv-x);
    }else{
        for(int i=1;i<n;i++){
            std::cin >> p;
            if(p<najm)
                najm = p;
            if(p>najv)
                najv = p;
        }
        if(najm>x){
            std::cout << std::abs(najv-x);
        }else if(najv<n){
            std::cout << std::abs(najm-x);
        }else{
            if(std::abs(najm-x)>std::abs(najv-x))
                std::swap(najm,najv);
            std::cout << 2*std::abs(najm-x)+std::abs(najv-x);
        }
    }

    return 0;
}